Page MenuHomePhabricator

importDump.php should have a parameter to add a prefix to the page titles of imported revisions
Closed, ResolvedPublic

Description

importDump.php should have a parameter to add a prefix to the page titles of imported revisions. E.g., it might be desirable to import everything to subpages of User:Foo/Imports/ rather than to mainspace.

Details

Reference
bz70272

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 3:42 AM
bzimport set Reference to bz70272.

gerritadmin wrote:

Change 157766 had a related patch set uploaded by leucosticte:
Add --prefix parameter to importDump.php The --prefix parameter causes imported pages to have a prefix prepended, e.g. --prefix=User:Foo/

https://gerrit.wikimedia.org/r/157766

Krenair removed leucosticte as the assignee of this task.Aug 17 2015, 1:15 PM
Krenair updated the task description. (Show Details)
Krenair removed a project: Patch-For-Review.
Krenair set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 17 2015, 1:15 PM
TTO added a subscriber: TTO.
TTO moved this task from Proposed to Imported into GCI site on the Google-Code-In-2015 board.
TTO removed a subscriber: leucosticte.

@TTO:

I'm going to try to do this using a --rootpage parameter as opposed to an arbitrary prefix parameter, as you suggested in the previous changeset which this was attempted:

This would be better implemented as --rootpage, not --prefix. It should call ->setTargetRootPage on the WikiImporter object in the importFromHandle function. Unless you really want arbitrary prefixes...

If you'd prefer a parameter which accepts an arbitrary prefix, just let me know.

Whoops, forgot to claim this here.

Change 261031 had a related patch set uploaded (by Unicornisaurous):
Add --rootpage parameter to importDump.php

https://gerrit.wikimedia.org/r/261031

Change 261031 merged by jenkins-bot:
Add --rootpage parameter to importDump.php

https://gerrit.wikimedia.org/r/261031

Unicornisaurous closed this task as Resolved.Dec 27 2015, 3:19 AM